diff --git a/kresources/kolab/kcal/resourcekolab.cpp b/kresources/kolab/kcal/resourcekolab.cpp
index da2cee412..2107642b6 100644
--- a/kresources/kolab/kcal/resourcekolab.cpp
+++ b/kresources/kolab/kcal/resourcekolab.cpp
@@ -285,7 +285,7 @@ void ResourceKolab::removeIncidences( const TQCString& incidenceType )
     // better call event(uid), todo(uid) etc. directly.
 
     // A  faster but hackish way would probably be to check the type of the resource,
-    // like mEventSubResources.tqfind( it.data().resource() ) != mEventSubResources.end() ?
+    // like mEventSubResources.find( it.data().resource() ) != mEventSubResources.end() ?
     const TQString& uid = it.key();
     if ( incidenceType == "Event" && mCalendar.event( uid ) )
       mUidMap.remove( it );
@@ -310,7 +310,7 @@ void ResourceKolab::incidenceUpdatedSilent( KCal::IncidenceBase* incidencebase )
   const TQString uid = incidencebase->uid();
   //kdDebug() << k_funcinfo << uid << endl;
 
-  if ( mUidsPendingUpdate.tqcontains( uid ) || mUidsPendingAdding.tqcontains( uid ) ) {
+  if ( mUidsPendingUpdate.contains( uid ) || mUidsPendingAdding.contains( uid ) ) {
     /* We are currently processing this event ( removing and readding or
      * adding it ). If so, ignore this update. Keep the last of these around
      * and process once we hear back from KMail on this event. */
@@ -336,7 +336,7 @@ void ResourceKolab::incidenceUpdatedSilent( KCal::IncidenceBase* incidencebase )
     if ( i ) {
       bool ignoreThisUpdate = false;
 
-      if ( !mLastKnownRevisions.tqcontains( uid ) ) {
+      if ( !mLastKnownRevisions.contains( uid ) ) {
         mLastKnownRevisions[uid] = i->revision();
       }
 
@@ -355,7 +355,7 @@ void ResourceKolab::incidenceUpdatedSilent( KCal::IncidenceBase* incidencebase )
 
   TQString subResource;
   TQ_UINT32 sernum = 0;
-  if ( mUidMap.tqcontains( uid ) ) {
+  if ( mUidMap.contains( uid ) ) {
     subResource = mUidMap[ uid ].resource();
     sernum = mUidMap[ uid ].serialNumber();
     mUidsPendingUpdate.append( uid );
@@ -543,7 +543,7 @@ bool ResourceKolab::sendKMailUpdate( KCal::IncidenceBase* incidencebase, const T
   // behold, sernum is an in-parameter
   const bool rc = kmailUpdate( subresource, sernum, data, mimetype, subject, customHeaders, attURLs, attMimeTypes, attNames, deletedAtts );
   // update the serial number
-  if ( mUidMap.tqcontains( incidencebase->uid() ) ) {
+  if ( mUidMap.contains( incidencebase->uid() ) ) {
     mUidMap[ incidencebase->uid() ].setSerialNumber( sernum );
   }
 
@@ -629,7 +629,7 @@ bool ResourceKolab::addIncidence( KCal::Incidence* incidence, const TQString& _s
 
       // Lets not warn the user 100 times that there's no writable resource
       // and not ask 100 times which resource to use
-      if ( !mBatchAddingInProgress || !mLastUsedResources.tqcontains( type ) ) {
+      if ( !mBatchAddingInProgress || !mLastUsedResources.contains( type ) ) {
         subResource = findWritableResource( type, *map, text );
         mLastUsedResources[type] = subResource;
       } else {
@@ -676,7 +676,7 @@ bool ResourceKolab::addIncidence( KCal::Incidence* incidence, const TQString& _s
       }
     }
   } else { /* KMail told us */
-    const bool ourOwnUpdate = mUidsPendingUpdate.tqcontains(  uid );
+    const bool ourOwnUpdate = mUidsPendingUpdate.contains(  uid );
     kdDebug( 5650 ) << "addIncidence: ourOwnUpdate " << ourOwnUpdate << endl;
     /* Check if we updated this one, which means kmail deleted and added it.
      * We know the new state, so lets just not do much at all. The old incidence
@@ -692,7 +692,7 @@ bool ResourceKolab::addIncidence( KCal::Incidence* incidence, const TQString& _s
        * unless the folder is read-only, in which case the user should not be
        * offered a means of putting mails in a folder she'll later be unable to
        * upload. Skip the incidence, in this case. */
-      if ( mUidMap.tqcontains( uid ) ) {
+      if ( mUidMap.contains( uid ) ) {
         if ( mUidMap[ uid ].resource() == subResource ) {
           if ( (*map)[ subResource ].writable() ) {
             kdDebug( 5650 ) << "lets resolve the conflict " << endl;
@@ -716,7 +716,7 @@ bool ResourceKolab::addIncidence( KCal::Incidence* incidence, const TQString& _s
       }
       /* Add to the cache if the add didn't come from KOrganizer, in which case
        * we've already added it, and listen to updates from KOrganizer for it. */
-      if ( !mUidsPendingAdding.tqcontains( uid ) ) {
+      if ( !mUidsPendingAdding.contains( uid ) ) {
         mCalendar.addIncidence( incidence );
         incidence->registerObserver( this );
       }
@@ -726,14 +726,14 @@ bool ResourceKolab::addIncidence( KCal::Incidence* incidence, const TQString& _s
       }
     }
     /* Check if there are updates for this uid pending and if so process them. */
-    if ( KCal::IncidenceBase *update = mPendingUpdates.tqfind( uid ) ) {
+    if ( KCal::IncidenceBase *update = mPendingUpdates.find( uid ) ) {
       mSilent = false; // we do want to tell KMail
       mPendingUpdates.remove( uid );
       incidenceUpdated( update );
     } else {
       /* If the uid was added by KMail, KOrganizer needs to be told, so
        * schedule emitting of the resourceChanged signal. */
-      if ( !mUidsPendingAdding.tqcontains( uid ) ) {
+      if ( !mUidsPendingAdding.contains( uid ) ) {
         if ( !ourOwnUpdate ) mResourceChangedTimer.changeInterval( 100 );
       } else {
         mUidsPendingAdding.remove( uid );
@@ -752,7 +752,7 @@ bool ResourceKolab::addEvent( KCal::Event *event )
 
 bool ResourceKolab::addEvent( KCal::Event *event, const TQString &subResource )
 {
-  if ( mUidMap.tqcontains( event->uid() ) ) {
+  if ( mUidMap.contains( event->uid() ) ) {
     return true; //noop
   } else {
     return addIncidence( event, subResource, 0 );
@@ -776,7 +776,7 @@ bool ResourceKolab::deleteIncidence( KCal::Incidence* incidence )
   }
 
   const TQString uid = incidence->uid();
-  if( !mUidMap.tqcontains( uid ) ) return false; // Odd
+  if( !mUidMap.contains( uid ) ) return false; // Odd
   /* The user told us to delete, tell KMail */
   if ( !mSilent ) {
     kmailDeleteIncidence( mUidMap[ uid ].resource(),
@@ -832,7 +832,7 @@ bool ResourceKolab::addTodo( KCal::Todo *todo )
 
 bool ResourceKolab::addTodo( KCal::Todo *todo, const TQString &subResource )
 {
-  if ( mUidMap.tqcontains( todo->uid() ) ) {
+  if ( mUidMap.contains( todo->uid() ) ) {
     return true; //noop
   } else {
     return addIncidence( todo, subResource, 0 );
@@ -876,7 +876,7 @@ bool ResourceKolab::addJournal( KCal::Journal *journal )
 
 bool ResourceKolab::addJournal( KCal::Journal *journal, const TQString &subResource )
 {
-  if ( mUidMap.tqcontains( journal->uid() ) )
+  if ( mUidMap.contains( journal->uid() ) )
     return true; //noop
   else
     return addIncidence( journal, subResource, 0 );
@@ -921,12 +921,12 @@ KCal::Alarm::List ResourceKolab::relevantAlarms( const KCal::Alarm::List &alarms
     KCal::Alarm *a = (*it);
     ++it;
     const TQString &uid = a->tqparent()->uid();
-     if ( mUidMap.tqcontains( uid ) ) {
+     if ( mUidMap.contains( uid ) ) {
        const TQString &sr = mUidMap[ uid ].resource();
        Kolab::SubResource *subResource = 0;
-       if ( mEventSubResources.tqcontains( sr ) )
+       if ( mEventSubResources.contains( sr ) )
           subResource = &( mEventSubResources[ sr ] );
-       else if ( mTodoSubResources.tqcontains( sr ) )
+       else if ( mTodoSubResources.contains( sr ) )
           subResource = &( mTodoSubResources[ sr ] );
        assert( subResource );
        if ( subResource->alarmRelevant() )
@@ -1009,16 +1009,16 @@ void ResourceKolab::fromKMailDelIncidence( const TQString& type,
   if ( !subresourceActive( subResource ) ) return;
 
   // Can't be in both, by contract
-  if ( mUidsPendingDeletion.tqfind( uid ) != mUidsPendingDeletion.end() ) {
-    mUidsPendingDeletion.remove( mUidsPendingDeletion.tqfind( uid ) );
-  } else if ( mUidsPendingUpdate.tqcontains( uid ) ) {
+  if ( mUidsPendingDeletion.find( uid ) != mUidsPendingDeletion.end() ) {
+    mUidsPendingDeletion.remove( mUidsPendingDeletion.find( uid ) );
+  } else if ( mUidsPendingUpdate.contains( uid ) ) {
     // It's good to know if was deleted, but we are waiting on a new one to
     // replace it, so let's just sit tight.
   } else {
     TQString uidToUse;
 
     TQPair<TQString, TQString> p( uid, subResource );
-    if ( mOriginalUID2fakeUID.tqcontains( p ) ) {
+    if ( mOriginalUID2fakeUID.contains( p ) ) {
       // Incidence with the same uid in a different folder...
       // use the UID that addIncidence(...) generated
       uidToUse = mOriginalUID2fakeUID[p];
@@ -1073,7 +1073,7 @@ void ResourceKolab::fromKMailAddSubresource( const TQString& type,
     // Not ours
     return;
 
-  if ( map->tqcontains( subResource ) )
+  if ( map->contains( subResource ) )
     // Already registered
     return;
 
@@ -1093,7 +1093,7 @@ void ResourceKolab::fromKMailDelSubresource( const TQString& type,
   ResourceMap* map = subResourceMap( type );
   if ( !map ) // not ours
     return;
-  if ( map->tqcontains( subResource ) )
+  if ( map->contains( subResource ) )
     map->erase( subResource );
   else
     // Not registered
@@ -1122,11 +1122,11 @@ TQStringList ResourceKolab::subresources() const
 const TQString
 ResourceKolab::labelForSubresource( const TQString& subresource ) const
 {
-  if ( mEventSubResources.tqcontains( subresource ) )
+  if ( mEventSubResources.contains( subresource ) )
     return mEventSubResources[ subresource ].label();
-  if ( mTodoSubResources.tqcontains( subresource ) )
+  if ( mTodoSubResources.contains( subresource ) )
     return mTodoSubResources[ subresource ].label();
-  if ( mJournalSubResources.tqcontains( subresource ) )
+  if ( mJournalSubResources.contains( subresource ) )
     return mJournalSubResources[ subresource ].label();
   return subresource;
 }
@@ -1146,11 +1146,11 @@ bool ResourceKolab::subresourceActive( const TQString& subresource ) const
   // before it opens the resource :-( Make sure we are open
   const_cast<ResourceKolab*>( this )->doOpen();
 
-  if ( mEventSubResources.tqcontains( subresource ) )
+  if ( mEventSubResources.contains( subresource ) )
     return mEventSubResources[ subresource ].active();
-  if ( mTodoSubResources.tqcontains( subresource ) )
+  if ( mTodoSubResources.contains( subresource ) )
     return mTodoSubResources[ subresource ].active();
-  if ( mJournalSubResources.tqcontains( subresource ) )
+  if ( mJournalSubResources.contains( subresource ) )
     return mJournalSubResources[ subresource ].active();
 
   // Safe default bet:
@@ -1163,15 +1163,15 @@ void ResourceKolab::setSubresourceActive( const TQString &subresource, bool v )
 {
   ResourceMap *map = 0;
   const char* mimeType = 0;
-  if ( mEventSubResources.tqcontains( subresource ) ) {
+  if ( mEventSubResources.contains( subresource ) ) {
      map = &mEventSubResources;
      mimeType = eventAttachmentMimeType;
   }
-  if ( mTodoSubResources.tqcontains( subresource ) ) {
+  if ( mTodoSubResources.contains( subresource ) ) {
      map = &mTodoSubResources;
      mimeType = todoAttachmentMimeType;
   }
-  if ( mJournalSubResources.tqcontains( subresource ) ) {
+  if ( mJournalSubResources.contains( subresource ) ) {
      map = &mJournalSubResources;
      mimeType = journalAttachmentMimeType;
   }
@@ -1194,11 +1194,11 @@ bool ResourceKolab::subresourceWritable( const TQString& subresource ) const
   // before it opens the resource :-( Make sure we are open
   const_cast<ResourceKolab*>( this )->doOpen();
 
-  if ( mEventSubResources.tqcontains( subresource ) )
+  if ( mEventSubResources.contains( subresource ) )
     return mEventSubResources[ subresource ].writable();
-  if ( mTodoSubResources.tqcontains( subresource ) )
+  if ( mTodoSubResources.contains( subresource ) )
     return mTodoSubResources[ subresource ].writable();
-  if ( mJournalSubResources.tqcontains( subresource ) )
+  if ( mJournalSubResources.contains( subresource ) )
     return mJournalSubResources[ subresource ].writable();
 
   return false; //better a safe default
@@ -1236,11 +1236,11 @@ bool ResourceKolab::addSubresource( const TQString& resource, const TQString& tq
    kdDebug(5650) << "KCal Kolab resource - adding subresource: " << resource << endl;
    TQString contentsType = kmailCalendarContentsType;
    if ( !tqparent.isEmpty() ) {
-     if ( mEventSubResources.tqcontains( tqparent ) )
+     if ( mEventSubResources.contains( tqparent ) )
        contentsType = kmailCalendarContentsType;
-     else if ( mTodoSubResources.tqcontains( tqparent ) )
+     else if ( mTodoSubResources.contains( tqparent ) )
        contentsType = kmailTodoContentsType;
-     else if ( mJournalSubResources.tqcontains( tqparent ) )
+     else if ( mJournalSubResources.contains( tqparent ) )
        contentsType = kmailJournalContentsType;
    } else {
      TQStringList contentTypeChoices;
@@ -1269,10 +1269,10 @@ bool ResourceKolab::removeSubresource( const TQString& resource )
 TQString ResourceKolab::subresourceIdentifier( Incidence *incidence )
 {
   TQString uid = incidence->uid();
-  if ( mUidMap.tqcontains( uid ) )
+  if ( mUidMap.contains( uid ) )
     return mUidMap[ uid ].resource();
   else
-    if ( mNewIncidencesMap.tqcontains( uid ) )
+    if ( mNewIncidencesMap.contains( uid ) )
       return mNewIncidencesMap[ uid ];
     else
       return TQString();
@@ -1311,11 +1311,11 @@ bool ResourceKolab::unloadSubResource( const TQString& subResource )
 
 TQString ResourceKolab::subresourceType( const TQString &resource )
 {
-  if ( mEventSubResources.tqcontains( resource ) )
+  if ( mEventSubResources.contains( resource ) )
     return "event";
-  if ( mTodoSubResources.tqcontains( resource ) )
+  if ( mTodoSubResources.contains( resource ) )
     return "todo";
-  if ( mJournalSubResources.tqcontains( resource ) )
+  if ( mJournalSubResources.contains( resource ) )
     return "journal";
   return TQString();
 }
diff --git a/kresources/kolab/knotes/resourcekolab.cpp b/kresources/kolab/knotes/resourcekolab.cpp
index cf386218a..132decdf5 100644
--- a/kresources/kolab/knotes/resourcekolab.cpp
+++ b/kresources/kolab/knotes/resourcekolab.cpp
@@ -178,12 +178,12 @@ KCal::Journal* ResourceKolab::addNote( const TQString& data, const TQString& sub
   Q_ASSERT( journal );
 
   bool addedOk = journal &&
-                 !mUidMap.tqcontains( journal->uid() ) &&
+                 !mUidMap.contains( journal->uid() ) &&
                  addNote( journal, subresource, sernum );
 
   // for debugging
-  if ( journal && mUidMap.tqcontains( journal->uid() ) ) {
-    kdDebug(5500) << "mUidMap already tqcontains " << journal->uid() << endl;
+  if ( journal && mUidMap.contains( journal->uid() ) ) {
+    kdDebug(5500) << "mUidMap already contains " << journal->uid() << endl;
   }
 
   if ( !addedOk ) {
@@ -232,7 +232,7 @@ bool ResourceKolab::addNote( KCal::Journal *journal, const TQString &subresource
 bool ResourceKolab::deleteNote( KCal::Journal* journal )
 {
   const TQString uid = journal->uid();
-  if ( !mUidMap.tqcontains( uid ) )
+  if ( !mUidMap.contains( uid ) )
     // Odd
     return false;
 
@@ -271,7 +271,7 @@ void ResourceKolab::incidenceUpdated( KCal::IncidenceBase* i )
 {
   TQString subResource;
   TQ_UINT32 sernum;
-  if ( mUidMap.tqcontains( i->uid() ) ) {
+  if ( mUidMap.contains( i->uid() ) ) {
     subResource = mUidMap[ i->uid() ].resource();
     sernum = mUidMap[ i->uid() ].serialNumber();
   } else { // can this happen?
@@ -352,7 +352,7 @@ void ResourceKolab::fromKMailAddSubresource( const TQString& type,
     // Not ours
     return;
 
-  if ( mSubResources.tqcontains( subResource ) )
+  if ( mSubResources.contains( subResource ) )
     // Already registered
     return;
 
@@ -372,7 +372,7 @@ void ResourceKolab::fromKMailDelSubresource( const TQString& type,
     // Not ours
     return;
 
-  if ( !mSubResources.tqcontains( subResource ) )
+  if ( !mSubResources.contains( subResource ) )
     // Not registered
     return;
 
@@ -440,7 +440,7 @@ TQStringList ResourceKolab::subresources() const
 
 bool ResourceKolab::subresourceActive( const TQString& res ) const
 {
-  if ( mSubResources.tqcontains( res ) ) {
+  if ( mSubResources.contains( res ) ) {
     return mSubResources[ res ].active();
   }
 
@@ -452,7 +452,7 @@ bool ResourceKolab::subresourceActive( const TQString& res ) const
 
 bool ResourceKolab::subresourceWritable( const TQString& res ) const
 {
-  if ( mSubResources.tqcontains( res ) ) {
+  if ( mSubResources.contains( res ) ) {
     return mSubResources[ res ].writable();
   }
 
diff --git a/kresources/kolab/shared/kmailconnection.cpp b/kresources/kolab/shared/kmailconnection.cpp
index d9ffd98d5..8e584fb2a 100644
--- a/kresources/kolab/shared/kmailconnection.cpp
+++ b/kresources/kolab/shared/kmailconnection.cpp
@@ -82,10 +82,10 @@ bool KMailConnection::connectToKMail()
       // someone, probably ourselves, already offers the interface, if not stop here
       const QCStringList services = kapp->dcopClient()->registeredApplications();
       for ( uint i = 0; i < services.count(); ++i ) {
-        if ( services[i].tqfind( "anonymous" ) == 0 ) // querying anonymous-XXXXX deadlocks as well, what are those anyway?
+        if ( services[i].find( "anonymous" ) == 0 ) // querying anonymous-XXXXX deadlocks as well, what are those anyway?
           continue; 
         const QCStringList objs = kapp->dcopClient()->remoteObjects( services[i] );
-        if ( objs.tqcontains( dcopObjectId ) ) {
+        if ( objs.contains( dcopObjectId ) ) {
           dcopService = services[i];
           break;
         }
diff --git a/kresources/lib/calendaradaptor.cpp b/kresources/lib/calendaradaptor.cpp
index 9c6084b92..88685bdfe 100644
--- a/kresources/lib/calendaradaptor.cpp
+++ b/kresources/lib/calendaradaptor.cpp
@@ -75,11 +75,11 @@ bool CalendarAdaptor::localItemHasChanged( const TQString &localId )
   if ( !i ) return false;
 
   if ( !mResource->deletedIncidences().isEmpty() &&
-      mResource->deletedIncidences().tqfind( i )
+      mResource->deletedIncidences().find( i )
    != mResource->deletedIncidences().end() )
     return true;
   if ( !mResource->changedIncidences().isEmpty() &&
-       mResource->changedIncidences().tqfind( i )
+       mResource->changedIncidences().find( i )
     != mResource->changedIncidences().end() )
     return true;
 
diff --git a/kresources/lib/folderconfig.cpp b/kresources/lib/folderconfig.cpp
index f8feb456f..f5af726ac 100644
--- a/kresources/lib/folderconfig.cpp
+++ b/kresources/lib/folderconfig.cpp
@@ -73,12 +73,12 @@ void FolderConfig::setFolderLister( FolderLister *f )
   
   TQValueList<FolderListView::Property> types;
   TQValueList<FolderLister::ContentType> suptypes( mFolderLister->supportedTypes() );
-  if ( suptypes.tqcontains( FolderLister::Event ) ) types << FolderListView::Event;
-  if ( suptypes.tqcontains( FolderLister::Todo ) ) types << FolderListView::Todo;
-  if ( suptypes.tqcontains( FolderLister::Journal ) ) types << FolderListView::Journal;
-  if ( suptypes.tqcontains( FolderLister::Contact ) ) types << FolderListView::Contact;
-  if ( suptypes.tqcontains( FolderLister::All ) ) types << FolderListView::All;
-  if ( suptypes.tqcontains( FolderLister::Unknown ) ) types << FolderListView::Unknown;
+  if ( suptypes.contains( FolderLister::Event ) ) types << FolderListView::Event;
+  if ( suptypes.contains( FolderLister::Todo ) ) types << FolderListView::Todo;
+  if ( suptypes.contains( FolderLister::Journal ) ) types << FolderListView::Journal;
+  if ( suptypes.contains( FolderLister::Contact ) ) types << FolderListView::Contact;
+  if ( suptypes.contains( FolderLister::All ) ) types << FolderListView::All;
+  if ( suptypes.contains( FolderLister::Unknown ) ) types << FolderListView::Unknown;
 
   mFolderList->setEnabledTypes( types );
   connect( mFolderLister, TQT_SIGNAL( foldersRead() ), TQT_SLOT( updateFolderList() ) );
diff --git a/kresources/lib/folderlister.cpp b/kresources/lib/folderlister.cpp
index 9436a6f92..eec969c26 100644
--- a/kresources/lib/folderlister.cpp
+++ b/kresources/lib/folderlister.cpp
@@ -50,11 +50,11 @@ void FolderLister::setWriteDestinationId( KPIM::FolderLister::ContentType type,
 
 TQString FolderLister::writeDestinationId( KPIM::FolderLister::ContentType type ) const
 {
-  if ( mWriteDestinationId.tqcontains( type ) ) {
+  if ( mWriteDestinationId.contains( type ) ) {
     return mWriteDestinationId[type];
-  } else if ( mWriteDestinationId.tqcontains( KPIM::FolderLister::All ) ) {
+  } else if ( mWriteDestinationId.contains( KPIM::FolderLister::All ) ) {
     return mWriteDestinationId[ KPIM::FolderLister::All ];
-  } else if ( mWriteDestinationId.tqcontains( KPIM::FolderLister::Unknown ) ) {
+  } else if ( mWriteDestinationId.contains( KPIM::FolderLister::Unknown ) ) {
     return mWriteDestinationId[ KPIM::FolderLister::Unknown ];
   } else return TQString();
 }
@@ -151,7 +151,7 @@ void FolderLister::readConfig( KPIM::GroupwarePrefsBase *newprefs )
     for ( TQStringList::Iterator it = l.begin(); it != l.end(); ++it ) {
       e.type = (FolderLister::ContentType)( e.type | contentTypeFromString( *it ) );
     }
-    if ( active.tqfind( e.id ) != active.end() ) e.active = true;
+    if ( active.find( e.id ) != active.end() ) e.active = true;
     mFolders.append( e );
   }
 
@@ -196,7 +196,7 @@ void FolderLister::writeConfig( GroupwarePrefsBase *newprefs )
 
   TQStringList defaultFolders;
   #define writeDestination(type) \
-    if ( mWriteDestinationId.tqcontains( type ) ) \
+    if ( mWriteDestinationId.contains( type ) ) \
       defaultFolders << mWriteDestinationId[type]; \
     else defaultFolders << TQString();
   writeDestination( KPIM::FolderLister::Event );
@@ -262,7 +262,7 @@ void FolderLister::doRetrieveFolder( const KURL &u )
 
   KURL url( u );
   if ( adaptor() ) adaptor()->adaptDownloadUrl( url );
-  if ( mUrls.tqcontains( url ) || mProcessedPathes.tqcontains( url.path(-1) ) ) {
+  if ( mUrls.contains( url ) || mProcessedPathes.contains( url.path(-1) ) ) {
     kdDebug()<<"Item "<<u.path(-1)<<" is already being downloaded "<<endl;
   } else {
 
diff --git a/kresources/lib/folderlistview.cpp b/kresources/lib/folderlistview.cpp
index c6b34cbd2..d8ae7ec13 100644
--- a/kresources/lib/folderlistview.cpp
+++ b/kresources/lib/folderlistview.cpp
@@ -54,37 +54,37 @@ void FolderListView::setEnabledTypes( const TQValueList<Property> &types )
 kdDebug() << "FolderListView::setEnabledTypes" << endl;
   for ( int i = 0; i< columns(); ++i ) removeColumn( i );
   mTypes = types;
-  if ( !mTypes.tqcontains( FolderName ) ) mTypes.prepend( FolderName );
+  if ( !mTypes.contains( FolderName ) ) mTypes.prepend( FolderName );
   mColumnMap[FolderName] = addColumn( i18n("Folder") );
   mTypeMap[mColumnMap[FolderName]] = FolderName;
 
 
-  if ( mTypes.tqcontains( Event ) ) {
+  if ( mTypes.contains( Event ) ) {
     mColumnMap[Event] = addColumn( i18n("Short column header meaning default for new events", "Events") );
     mTypeMap[mColumnMap[Event]] = Event;
   } else mColumnMap[Event] = -1;
 
-  if ( mTypes.tqcontains( Todo ) ) {
+  if ( mTypes.contains( Todo ) ) {
     mColumnMap[Todo] = addColumn( i18n("Short column header meaning default for new to-dos", "Todos") );
     mTypeMap[mColumnMap[Todo]] = Todo;
   } else mColumnMap[Todo] = -1;
 
-  if ( mTypes.tqcontains( Journal ) ) {
+  if ( mTypes.contains( Journal ) ) {
     mColumnMap[Journal] = addColumn( i18n("Short column header meaning default for new journals", "Journals") );
     mTypeMap[mColumnMap[Journal]] = Journal;
   } else mColumnMap[Journal] = -1;
 
-  if ( mTypes.tqcontains( Contact ) ) {
+  if ( mTypes.contains( Contact ) ) {
     mColumnMap[Contact] = addColumn( i18n("Short column header meaning default for new contacts", "Contacts") );
     mTypeMap[mColumnMap[Contact]] = Contact;
   } else mColumnMap[Contact] = -1;
 
-  if ( mTypes.tqcontains( All ) ) {
+  if ( mTypes.contains( All ) ) {
     mColumnMap[All] = addColumn( i18n("Short column header meaning default for all items", "All") );
     mTypeMap[mColumnMap[All]] = All;
   } else mColumnMap[All] = -1;
 
-  if ( mTypes.tqcontains( Unknown ) ) {
+  if ( mTypes.contains( Unknown ) ) {
     mColumnMap[Unknown] = addColumn( i18n("Short column header meaning default for unknown new items", "Unknown") );
     mTypeMap[mColumnMap[Unknown]] = Unknown;
   } else mColumnMap[Unknown] = -1;
@@ -103,27 +103,27 @@ void FolderListView::showPopupMenu( FolderListItem *i, const TQPoint &globalPos
   m.setItemChecked( id, i->isOn() );
   m.insertSeparator();
 
-  if ( ( folder.type & KPIM::FolderLister::Event ) && (mTypes.tqcontains( Event ) ) ) {
+  if ( ( folder.type & KPIM::FolderLister::Event ) && (mTypes.contains( Event ) ) ) {
     id = m.insertItem( i18n("Default for New &Events"), this, TQT_SLOT(slotPopupHandler(int)), 0, Event );
     m.setItemChecked( id, i->isDefault( Event ) );
   }
-  if ( ( folder.type & KPIM::FolderLister::Todo ) && (mTypes.tqcontains( Todo ) ) ) {
+  if ( ( folder.type & KPIM::FolderLister::Todo ) && (mTypes.contains( Todo ) ) ) {
     id = m.insertItem( i18n("Default for New &Todos"), this, TQT_SLOT(slotPopupHandler(int)), 0, Todo );
     m.setItemChecked( id, i->isDefault( Todo ) );
   }
-  if ( ( folder.type & KPIM::FolderLister::Journal ) && (mTypes.tqcontains( Journal ) ) ) {
+  if ( ( folder.type & KPIM::FolderLister::Journal ) && (mTypes.contains( Journal ) ) ) {
     id = m.insertItem( i18n("Default for New &Journals"), this, TQT_SLOT(slotPopupHandler(int)), 0, Journal );
     m.setItemChecked( id, i->isDefault( Journal ) );
   }
-  if ( ( folder.type & KPIM::FolderLister::Contact ) && (mTypes.tqcontains( Contact ) ) ) {
+  if ( ( folder.type & KPIM::FolderLister::Contact ) && (mTypes.contains( Contact ) ) ) {
     id = m.insertItem( i18n("Default for New &Contacts"), this, TQT_SLOT(slotPopupHandler(int)), 0, Contact );
     m.setItemChecked( id, i->isDefault( Contact ) );
   }
-  if ( ( folder.type == KPIM::FolderLister::All ) && (mTypes.tqcontains( All ) ) ) {
+  if ( ( folder.type == KPIM::FolderLister::All ) && (mTypes.contains( All ) ) ) {
     id = m.insertItem( i18n("Default for All New &Items"), this, TQT_SLOT(slotPopupHandler(int)), 0, All );
     m.setItemChecked( id, i->isDefault( All ) );
   }
-  if ( ( folder.type == KPIM::FolderLister::Unknown ) && (mTypes.tqcontains( Unknown ) ) ) {
+  if ( ( folder.type == KPIM::FolderLister::Unknown ) && (mTypes.contains( Unknown ) ) ) {
     id = m.insertItem( i18n("Default for &Unknown New Items"), this, TQT_SLOT(slotPopupHandler(int)), 0, Unknown );
     m.setItemChecked( id, i->isDefault( Unknown ) );
   }
@@ -184,7 +184,7 @@ void FolderListItem::activate( int column, const TQPoint &localPos )
     default:
       return;
   }
-  if ( !TQRect( x, 0, w, BoxSize ).tqcontains( localPos ) )
+  if ( !TQRect( x, 0, w, BoxSize ).contains( localPos ) )
     changeProperty( prop );
 }
 
@@ -293,4 +293,4 @@ void FolderListItem::paintCell( TQPainter *p, const TQColorGroup &cg, int col, i
 //END
 
 #include "folderlistview.moc"
-// kate: space-indent on; indent-width 2; tqreplace-tabs on;
+// kate: space-indent on; indent-width 2; replace-tabs on;
diff --git a/kresources/lib/folderlistview.h b/kresources/lib/folderlistview.h
index e4d5a56de..0c99d913c 100644
--- a/kresources/lib/folderlistview.h
+++ b/kresources/lib/folderlistview.h
@@ -55,8 +55,8 @@ class FolderListView : public KListView
     void emitChanged() { emit changed(); };
     void setEnabledTypes( const TQValueList<Property> &types );
 
-    int columnForType( Property prop ) const { if ( mColumnMap.tqcontains(prop) ) return mColumnMap[prop]; else return -1;}
-    Property typeForColumn( int col ) const { if ( mTypeMap.tqcontains( col ) ) return mTypeMap[col]; else return Unknown; }
+    int columnForType( Property prop ) const { if ( mColumnMap.contains(prop) ) return mColumnMap[prop]; else return -1;}
+    Property typeForColumn( int col ) const { if ( mTypeMap.contains( col ) ) return mTypeMap[col]; else return Unknown; }
 
   private slots:
     /* Display a popupmenu for item i at item position */
@@ -127,4 +127,4 @@ class FolderListItem : public TQCheckListItem
 
 #endif
 
-// kate: space-indent on; indent-width 2; tqreplace-tabs on;
+// kate: space-indent on; indent-width 2; replace-tabs on;
diff --git a/kresources/lib/groupwaredataadaptor.cpp b/kresources/lib/groupwaredataadaptor.cpp
index 88ca09c10..d77c0e550 100644
--- a/kresources/lib/groupwaredataadaptor.cpp
+++ b/kresources/lib/groupwaredataadaptor.cpp
@@ -78,7 +78,7 @@ kdDebug()<<"GroupwareUploadItem::createUploadNewJob, baseurl=" << baseurl.url()
   if ( job ) {
     kdDebug() << "Adding If-None-Match " << endl;
     TQString header;
-    if ( job->outgoingMetaData().tqcontains("customHTTPHeader") ) {
+    if ( job->outgoingMetaData().contains("customHTTPHeader") ) {
       header = job->outgoingMetaData()["customHTTPHeader"];
       header += "\r\n";
     }
@@ -96,7 +96,7 @@ kdDebug()<<"GroupwareUploadItem::createUploadJob" << endl;
   if ( job && adaptor ) {
   kdDebug()<<"Adding If-Match header: " << adaptor->idMapper()->fingerprint( uid() ) << endl;
     TQString header;
-    if ( job->outgoingMetaData().tqcontains("customHTTPHeader") ) {
+    if ( job->outgoingMetaData().contains("customHTTPHeader") ) {
       header = job->outgoingMetaData()["customHTTPHeader"];
       header += "\r\n";
     }
@@ -262,7 +262,7 @@ bool GroupwareDataAdaptor::interpretUploadNewJob( KIO::Job *job, const TQString
 TQString GroupwareDataAdaptor::uidFromJob( KIO::Job *job ) const
 {
 kdDebug()<<"GroupwareDataAdaptor::uidFromJob( "<<job<<")"<<endl;
-  if ( mJobUIDMap.tqcontains( job ) ) {
+  if ( mJobUIDMap.contains( job ) ) {
     kdDebug()<<"  Contained: "<< mJobUIDMap[job] << endl;
     return mJobUIDMap[ job ];
   } else {
diff --git a/kresources/lib/groupwaredataadaptor.h b/kresources/lib/groupwaredataadaptor.h
index 2216fa560..203c62782 100644
--- a/kresources/lib/groupwaredataadaptor.h
+++ b/kresources/lib/groupwaredataadaptor.h
@@ -241,7 +241,7 @@ Q_OBJECT
     virtual FolderLister::Entry::List defaultFolders();
     virtual TQValueList<FolderLister::ContentType> supportedTypes() = 0;
     virtual bool supports( FolderLister::ContentType type ) {
-      return supportedTypes().tqcontains( type );
+      return supportedTypes().contains( type );
     }
 
 
